> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/da/knowledge-base/troubleshooting-articles/unexpected-exception.-please-see-server-logs-for-details.md).

# Unexpected exception. Please see server logs for details

Retter en uventet undtagelsesfejl under SSO-logon med Entra ID efter en opdatering af Devolutions Server, som skyldes en ugyldig værdi for klienthemmeligheden.

Følgende fejlmeddelelse vises ved forsøg på at oprette forbindelse med SSO via Entra ID efter en opdatering af Devolutions Server:

`{"errorMessage" :"Unexpected exception. Please see server logs for details.","result":0}`

### Løsninger

1. Åbn Devolutions Server Console, og gå til ***Server - Logge***.
2. Find følgende fejl i loggene:

```
OAuthTokenEndpointException - OAuth token endpoint error: {"error":"invalid_client","error_description":"AADSTS7000215: Invalid client secret provided.
```

3. Bekræft, at hemmeligheden, der sendes i anmodningen, er værdien af klienthemmeligheden og ikke id'et for klienthemmeligheden for en hemmelighed, der er føjet til programmet.
4. Gå til webappen for Devolutions Server i portalen for Entra ID.
   1. Sørg for, at [API-tilladelsen er angivet og tildelt korrekt](/server/da/knowledge-base/how-to-articles/configure-microsoft-authentication-with-entra-id.md#app-registration-in-the-azure-portal) under ***Startside*** – ***Appregistreringer*** – ***API-tilladelser*** i Entra ID. Sørg også for, at appregistreringen er konfigureret til ***Web***, og kontrollér, at adressen er korrekt.
   2. Opret en ny hemmelighed, og kopiér dens værdi. Angiv en påmindelse en måned før udløbet med den metode, De foretrækker.
5. Gå i webgrænsefladen for Devolutions Server til ***Administration*** – ***Serverindstillinger*** – ***Godkendelse*** – ***Microsoft-godkendelse***. Derefter:
   1. Indsæt den nye klienthemmelighed.
   2. Deaktivér ***Brug specifikt klient-id til cachen for brugere og brugergrupper***..
   3. Klik på knappen ***Nulstil cache***.
   4. Gem ændringerne.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/server/da/knowledge-base/troubleshooting-articles/unexpected-exception.-please-see-server-logs-for-details.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
